<!--
	//CSSのクラス名を指定してください
	var classNames = new Array('holyday','xday','birthday');
	
	//定休日などはここで設定します。
	//holyday[ここに日にちを半角で] = X; Xにはクラスの配列番号を。
	var holyday = new Object();
	//下記の場合だと2006/1/4はclassNamesで指定されている0番目のクラスにするという意味
	holyday["2023/1/4"] = 0;
	holyday["2023/1/11"] = 0;
	holyday["2023/1/18"] = 0;
	holyday["2023/1/25"] = 0;
	holyday["2023/2/1"] = 0;
	holyday["2023/2/8"] = 0;
	holyday["2023/2/15"] = 0;
	holyday["2023/2/22"] = 0;
	holyday["2023/3/1"] = 0;
	holyday["2023/3/5"] = 2;
	holyday["2023/3/8"] = 0;
	holyday["2023/3/15"] = 0;
	holyday["2023/3/22"] = 0;
	holyday["2023/3/29"] = 0;
	holyday["2023/4/5"] = 0;
	holyday["2023/4/12"] = 0;
	holyday["2023/4/19"] = 0;
	holyday["2023/4/26"] = 0;
	holyday["2023/5/3"] = 0;
	holyday["2023/5/5"] = 1;
	holyday["2023/5/10"] = 0;
	holyday["2023/5/17"] = 0;
	holyday["2023/5/24"] = 0;
	holyday["2023/5/31"] = 0;
	holyday["2023/6/7"] = 0;
	holyday["2023/6/14"] = 0;
	holyday["2023/6/21"] = 0;
	holyday["2023/6/28"] = 0;
	holyday["2023/7/5"] = 0;
	holyday["2023/7/12"] = 0;
	holyday["2023/7/19"] = 0;
	holyday["2023/7/26"] = 0;
	holyday["2023/8/2"] = 0;
	holyday["2023/8/9"] = 0;
	holyday["2023/8/16"] = 0;
	holyday["2023/8/23"] = 0;
	holyday["2023/8/30"] = 0;
	holyday["2023/9/6"] = 0;
	holyday["2023/9/13"] = 0;
	holyday["2023/9/20"] = 0;
	holyday["2023/9/27"] = 0;
	holyday["2023/10/4"] = 0;
	holyday["2023/10/11"] = 0;
	holyday["2023/10/18"] = 0;
	holyday["2023/10/25"] = 0;
	holyday["2023/11/1"] = 0;
	holyday["2023/11/8"] = 0;
	holyday["2023/11/15"] = 0;
	holyday["2023/11/22"] = 0;
	holyday["2023/11/29"] = 0;
	holyday["2023/12/6"] = 0;
	holyday["2023/12/13"] = 0;
	holyday["2023/12/20"] = 0;
	holyday["2023/12/27"] = 0;

	var today = new Date();
	var cal_year = today.getYear();
	var cal_month = today.getMonth() + 1;
	var cal_day = today.getDate();
	if (cal_year < 1900) cal_year += 1900;
	document.write("<div id='calendar'></div>");
	var cal = document.getElementById("calendar");
	var defaultBackgroundColors = new Object();
	var to_year = cal_year;
	var to_month = cal_month;
	var to_day = cal_day;
	
	function tdOver(obj){
		defaultBackgroundColors[obj] = obj.style.backgroundColor;
		obj.style.backgroundColor = '#E8EEF9';
	}
	function tdOut(obj){
		obj.style.backgroundColor = defaultBackgroundColors[obj];
	}
	function spanOver(obj){
		defaultBackgroundColors[obj] = obj.style.backgroundColor;
		obj.style.color = '#FF9900';
	}
	function spanOut(obj){
		obj.style.color = defaultBackgroundColors[obj];
	}
	
	function currentCal(){
		cal_year = to_year;
		cal_month = to_month;
		cal_day = to_day;
		writeCal(cal_year,cal_month,cal_day);
	}
	function prevCal(){
		cal_month -= 1;
		if(cal_month < 1){
			cal_month = 12;
			cal_year -= 1;
		}
		writeCal(cal_year,cal_month,0);
	}
	function nextCal(){
		cal_month += 1;
		if(cal_month > 12){
			cal_month = 1;
			cal_year += 1;
		}
		writeCal(cal_year,cal_month,0);
	}
	function getWeek(year,month,day){
		if (month == 1 || month == 2) {
			year--;
			month += 12;
		}
		var week = Math.floor(year + Math.floor(year/4) - Math.floor(year/100) + Math.floor(year/400) + Math.floor((13 * month + 8) / 5) + day) % 7;
		return week;
	}
	function writeCal(year,month,day){
		var calendars = new Array(0,31,28,31,30,31,30,31,31,30,31,30,31);
		var weeks = new Array("Sun","Mon","Tue","Wed","Thu","Fri","Sat");
		var monthName = new Array('none','January','February','March','April','May','June','July','August','September','October','November','December');
		
		var cal_flag = 0;
		if(year % 100 == 0 || year % 4 != 0){
			if(year % 400 != 0){
				cal_flag = 0;
			}
			else{
				cal_flag = 1;
			}
		}
		else if(year % 4 == 0){
			cal_flag = 1;
		}
		else{
			cal_flag = 0;
		}
		calendars[2] += cal_flag;
		
		var cal_start_day = getWeek(year,month,1);
		var cal_tags = "<table border='0' cellspacing='0' cellpadding='0' class='calendar'>";
		cal_tags += "<tr><th colspan='7'>";
		cal_tags += "<span onMouseOver='spanOver(this);' onMouseOut='spanOut(this);' onClick='nextCal();'>▲</span>";
		cal_tags += "<span onMouseOver='spanOver(this);' onMouseOut='spanOut(this);' onClick='currentCal();'>〓</span>";
		cal_tags += "<span onMouseOver='spanOver(this);' onMouseOut='spanOut(this);' onClick='prevCal();'>▼</span>";
		cal_tags += monthName[month] + " . " + year + "</th></tr>";
		cal_tags += "<tr class='headline'>";
		for(var i=0;i<weeks.length;i++){
			cal_tags += "<td>" + weeks[i] + "</td>";
		}
		cal_tags += "</tr><tr>";
		for(var i=0;i < cal_start_day;i++){
			cal_tags += "<td>&nbsp;</td>";
		}
		
		//main
		for(var cal_day_cnt = 1;cal_day_cnt <= calendars[month];cal_day_cnt++){
			var cal_day_match = year + "/" + month + "/" + cal_day_cnt;
			var dayClass = "";
			
			if(holyday[cal_day_match] != undefined){
				dayClass = ' class="'+classNames[holyday[cal_day_match]]+'"';
			}
			else if(cal_day_cnt == day){
				dayClass = ' class="Today"';
			}
			else if(cal_start_day == 0){
				dayClass = ' class="Sun"';
			}
			else if(cal_start_day == 6){
				dayClass = ' class="Sat"';
			}
			cal_tags += "<td onMouseOver='tdOver(this);' onMouseOut='tdOut(this);'"+dayClass+">" + cal_day_cnt + "</td>";
			if(cal_start_day == 6){
				cal_tags += "</tr>";
				if(cal_day_cnt < calendars[month]){
					cal_tags += "<tr>";
				}
				cal_start_day = 0;
			}
			else{
				cal_start_day++;
			}
		}
		while(cal_start_day <= 6 && cal_start_day != 0){
			cal_tags += "<td>&nbsp;</td>";
			if(cal_start_day == 6){
				cal_tags += "</tr>";
			}
			cal_start_day++;
		}
		cal_tags += "</table>";
		cal.innerHTML = cal_tags;
	}
	writeCal(cal_year,cal_month,cal_day);
//-->