#┌──────────────────────────────
#│ Net Shop : paycheck.pl - 2022/08/11
#│ copyright (c) TRANSFORM
#│ https://www.transformsite.com/
#└──────────────────────────────

# モジュール
use strict;

#-----------------------------------------------------------
#  お支払い方法の表記
#-----------------------------------------------------------
sub paycheck_pl {

	# テンプレート読込
	open(IN,"$cf{tmpldir}/paycheck.html") or error("open err: paycheck.html");
	my $tmpl = join('', <IN>);
	close(IN);

	# 文字置き換え
	$tmpl =~ s/!([a-z]+_cgi)!/$cf{$1}/g;
	$tmpl =~ s/!cmnurl!/$cf{cmnurl}/g;
	$tmpl =~ s/!cart_title!/$cf{cart_title}/g;
	$tmpl =~ s/!top_back!/$cf{top_back}/g;
	$tmpl =~ s/!homepage!/$cf{top_cgi}/g;

	print "Content-type: text/html; charset=utf-8\n\n";
	footer($tmpl);
	exit;
}


1;

